cerhu > linux.debian.user.french

Frederic Baldit (22/03/2006, 17h50)
Bonjour,
j'aimerais (pour utiliser le driver de ma carte ATI proposé F.Stanchina etles
paquets qu'il propose sur son site) repasser de xorg 6.9 à xorg 6.8.2. J'ai
trouvé où récupérer ce paquet :
([..])..
Ma question est: suffit-t-il de faire:
1) apt-get remove xserver-xorg
2) dpkg -i mon-xserver-xorg-localement-téléchargé.deb

Je suppose que c'est assez aléatoire (voire impossible) vu les problèmesde
dépendances. Je me dis que j'aurais pu forcer xserver-xorg à ne pas être mis
à jour, mais c'est trop tard.
Puis-je ou non faire marche arrière, ou vaut-il mieux attendre que les paquets
que je souhaite utiliser pour ma carte ATI existent pour xserver-xorg-6.9 ?
Merci pour toute aide/conseil.
F.B.
PS: je suis en testing et 2.6.15
Francois Mescam (22/03/2006, 18h30)
Le Fri, Mar 24, 2006 à 12:45:19AM +0800, Frederic Baldit a écrit
> Bonjour,
> j'aimerais (pour utiliser le driver de ma carte ATI proposé F.Stanchina et les
> paquets qu'il propose sur son site) repasser de xorg 6.9 à xorg 6.8.2. J'ai
> trouvé où récupérer ce paquet :
> ([..]).
> Ma question est: suffit-t-il de faire:
> 1) apt-get remove xserver-xorg
> 2) dpkg -i mon-xserver-xorg-localement-téléchargé.deb


dpkg --force-downgrade -i mon...
permet de faire cela en une commande et de ne pas enlever les paquets qui
dependent xserver-xorg.

Ensuite penser a geler le paquet afin que les mises a jour ne fassent rien
dessus.

> Je suppose que c'est assez aléatoire (voire impossible) vu les problèmes de
> dépendances. Je me dis que j'aurais pu forcer xserver-xorg à ne pas être mis
> à jour, mais c'est trop tard.
> Puis-je ou non faire marche arrière, ou vaut-il mieux attendre que les paquets
> que je souhaite utiliser pour ma carte ATI existent pour xserver-xorg-6.9 ?


J'avais pour la meme raison fait l'operation quand le 6.9 etait arrive dans
testing. Je n'avais eu aucun probleme.
Daniel Déchelotte (22/03/2006, 19h00)
Francois Mescam a écrit :

> Le Fri, Mar 24, 2006 à 12:45:19AM +0800, Frederic Baldit a écrit
> dpkg --force-downgrade -i mon...
> permet de faire cela en une commande et de ne pas enlever les paquets
> qui dependent xserver-xorg.


Perso, utiliser apt-get me rassurait plus. Dans /etc/apt/sources.list :
deb [..] unstable main contrib non-free
^^ ou 16 ?

puis apt-get install xserver-xorg=6.8.2.dfsg.1

Vu qu'il n'y a pas de probleme de dependance, les deux méthodes sont
équivalentes.

> [...]


Rien à ajouter, tout pareil chez moi. :)
Vivement que le probleme des cartes ATI avec xorg 6.9 soit résolu...
Daniel Déchelotte (11/04/2006, 12h30)
Bonjour,

A propos de la version de xserver-xorg qui etait passée en testing
alors qu'elle provoquait un écran noir en mode double-écran...

Francois Mescam a écrit :

> Le Fri, Mar 24, 2006 à 12:45:19AM +0800, Frederic Baldit a écrit
> > Puis-je ou non faire marche arrière, ou vaut-il mieux attendre que
> > les paquets que je souhaite utiliser pour ma carte ATI existent
> > pour xserver-xorg-6.9 ?

> J'avais pour la meme raison fait l'operation quand le 6.9 etait
> arrive dans testing. Je n'avais eu aucun probleme.


Savez-vous si le problème est maintenant résolu ? Le bug
[..] (long !)
est toujours ouvert, mais il y est dit que la version CVS d'ati-driver
corrige le problème.
Damien Ulrich (11/04/2006, 20h40)
Le Mardi 11 Avril 2006 12:19, Daniel Déchelotte a écrit :
> Bonjour,
> A propos de la version de xserver-xorg qui etait passée en testing
> alors qu'elle provoquait un écran noir en mode double-écran...
> Francois Mescam a écrit :
> Savez-vous si le problème est maintenant résolu ? Le bug
> [..] (long !)
> est toujours ouvert, mais il y est dit que la version CVS d'ati-driver
> corrige le problème.
> --
> Daniel Déchelotte
> [..]

Je n'ai pas franchement suivi l'histoire, mais perso, j'utilise xserver-xorg
6.9.0, avec fglrx 8.23.7 -proprio :P -, sur un noyo 2.6.15 ... mes 2
cents... :)
Francois Mescam (11/04/2006, 21h40)
Le Tue, Apr 11, 2006 à 12:19:52PM +0200, Daniel Déchelotte a écrit
> Bonjour,
> A propos de la version de xserver-xorg qui etait passée en testing
> alors qu'elle provoquait un écran noir en mode double-écran...
> Francois Mescam a écrit :
>> Savez-vous si le problème est maintenant résolu ? Le bug


Je n'en sais rien. Je reste avec xorg 6.8.2 mis en "hold" afin qu'il ne soit
pas mis à jour. Je regarderai à nouveau la question le jour où xorg 6.8.2
m'empechera d'installer des paquets dont les fonctionalités me sont
utiles. Pour l'instant ce n'est pas le cas donc "wait and see".
[..]
Daniel Déchelotte (12/04/2006, 14h50)
Francois Mescam a écrit :

> Le Tue, Apr 11, 2006 à 12:19:52PM +0200, Daniel Déchelotte a écrit
> Je n'en sais rien. Je reste avec xorg 6.8.2 mis en "hold" afin qu'il
> ne soit pas mis à jour. Je regarderai à nouveau la question le jour
> où xorg 6.8.2 m'empechera d'installer des paquets dont les
> fonctionalités me sont utiles. Pour l'instant ce n'est pas le cas
> donc "wait and see".


C'est la bonne attitude, puisque je viens de tester à l'instant et
que le probleme persiste avec la 6.9.0.dfsg.1-6 de testing. :-(

J'espère que ce n'est pas « dangereux » d'avoir un paquet xorg en 6.8.2
et tous les autres en 6.9.0...
Grégoire Druant (12/04/2006, 23h00)
Bonjour tout le monde,

Je suis passé à xorg7, ca marche plutôt bien (plus de driver ati maisbon vu
comment il fonctionnait c'est pas grave) mais j'ai un problème avec emacs.

J'avais modifié les couleurs dans emacs avec un fichier placé
dans /etc/X11/app-defaults (récupéré d'une mandriva, puisque j'étais habitué
à ces couleurs).

Avec xorg-6.9, pas de problème, le fichier était toujours pris en compte, mais
depuis la mise à jour de xorg, rien à faire mon emacs reste blanc.
J'ai essayé de copier le fichier en question dans mon .Xsession ou dans
mon .Xressources mais sans succès.

Je sais qu'on peut changer les couleurs par le biais du .emacs mais cette
solution ne me conviens pas.

Quelqu'un peut il m'aider ?

Merci par avance.
Discussions similaires
config xorg pour carte ati X1200

[xorg] Pourquoi type1 n'est plus supporté par xorg ?

Xorg et carte video 3d

[xorg] xfs et xfs-tt sont ils encore utiles, nécessaires, souhaitables...avec xorg ?


Fuseau horaire GMT +2. Il est actuellement 22h49. | Privacy Policy